﻿@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMBP.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMBP.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMBP.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMBP.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <i class="icon-calendar"></i>
        <h3 class="panel-title">@BusinessPartners.BPL</h3>
    </div>

    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>@BusinessPartners.Code</th>
                        <th>@BusinessPartners.Name</th>
                        <th>@BusinessPartners.Type</th>
                        <th>@BusinessPartners.AB</th>
                        <th>@BusinessPartners.Deliveries</th>
                        <th>@BusinessPartners.Orders</th>
                        <th>@BusinessPartners.Opportunities</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (BusinessPartnerView item in Model)
                    {
                        <tr>
                            <td>
                                @item.CardCode
                            </td>
                            <td>@item.CardName</td>
                            @switch(item.CardType)
                            {
                                case "C":
                                    <td>@ItemMaster.Customer</td>
                                break;
                                case "S":
                                    <td>@ItemMaster.Vendor</td>
                                break;
                                case "L":
                                    <td>@ItemMaster.Lead</td>
                                break;
                            }
                            <td>@Math.Round((decimal)item.Balance, 2)</td>
                            <td>@Math.Round((decimal)item.DNotesBal, 2)</td>
                            <td>@Math.Round((decimal)item.OrdersBal, 2)</td>
                            <td>@item.OprCount</td>
                            <td>
                                @if (_Update)
                                {
                                    <a href='@Url.Action("ActionBusinessPartner", "BusinessPartner", new { @ActionBusinessPartner = "Update", @CardCodeBP = item.CardCode, @fromController = "BusinessPartner" })' class="btn btn-primary btn-ls">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@BusinessPartners.Edit
                                    </a>
                                }
                            </td>
                        </tr>
                    }

                </tbody>
            </table>
        </div>

    </div>

</div>
@if (_Add)
{
    <div class="col-md-2 pull-right">
        <a href='@Url.Action("ActionBusinessPartner", "BusinessPartner", new { @ActionBusinessPartner = "Add", @CardCodeBP = 0, @fromController = "BusinessPartner" })' class="btn btn-success btn-lg pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@BusinessPartners.ABP
        </a>
    </div>
}

